Get Apple Action Links
curl --request GET \
--url https://api.birdeye.com/resources/v1/listing/{businessNumber}/apple-action-linksimport requests
url = "https://api.birdeye.com/resources/v1/listing/{businessNumber}/apple-action-links"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/listing/{businessNumber}/apple-action-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "quicklinks.parking_available_parking",
"name": "Parking"
},
{
"id": "quicklinks.parking_reserve_parking",
"name": "Reserve"
},
{
"id": "quicklinks.restaurant_join_waitlist",
"name": "Waitlist"
},
{
"id": "quicklinks.restaurant_order_delivery",
"name": "Delivery"
},
{
"id": "quicklinks.restaurant_order_food",
"name": "Order"
},
{
"id": "quicklinks.restaurant_pickup",
"name": "Pickup"
}
]{
"code": 400,
"message": "Category Id not found"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Listing
Get Apple Action Links
The Get Apple Action Links fetches the list of applicable Apple Action Link Types. Apple action links are the click throughs that are displayed in the action row on your Apple Maps listings also known as the Apple Maps Placecard.
GET
/
v1
/
listing
/
{businessNumber}
/
apple-action-links
Get Apple Action Links
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Business Number.
Response
OK
This is dynamic field. Depends upon request inputs.
⌘I